import http from '@/http/api.js'

export const getDeptList = (id) => {
	return http.request({
		url: '/api/blade-system/dept/getDeptList',
		method: 'get',
		params:{
			id
		}
	})
}

export const getQxList = (row) => {
	return http.request({
		url: '/api/blade-system/dept/getQxList',
		method: 'get',
		params:row
	})
}

export const putfiles = (row) => {
	return http.request({
		url: '/api/blade-resource/oss/endpoint/put-file',
		header:{
		'Content-Type': 'multipart/form-data'
		},
		method: 'post',
		data:row
	})
}

//blade-system/user/getQx

export const getQx = (code) => {
	return http.request({
		url: '/api/blade-system/user/getQx',
		method: 'get',
		params:{
			code
		}
	})
}